"use strict";

var _unitTest = require("@tractor/unit-test");

var _container = require("./container");

var _index = require("./index");

/* global describe:true, it:true */
// Test setup:
// Dependencies:
// Under test:
describe('@tractor/dependency-injection:', function () {
  describe('container:', function () {
    it('should return a new DI container', function () {
      (0, _unitTest.expect)((0, _index.container)()).to.be.an.instanceof(_container.Container);
    });
    it('should register itself as a constant', function () {
      _unitTest.sinon.stub(_container.Container.prototype, 'constant');

      var di = (0, _index.container)();
      (0, _unitTest.expect)(_container.Container.prototype.constant).to.have.been.calledWith({
        di: di
      });

      _container.Container.prototype.constant.restore();
    });
  });
  describe('DI:', function () {
    it('should have a container already created', function () {
      (0, _unitTest.expect)(_index.DI).to.be.an.instanceof(_container.Container);
    });
  });
});