"use strict";

var _testSetup = require("../../test-setup");

var _path = _interopRequireDefault(require("path"));

var _events = require("events");

var _FileStructure = require("../structure/FileStructure");

var _watchFileStructure = require("./watch-file-structure");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* global describe:true, it:true */
// Test setup:
// Dependencies:
// Under test:
describe('@tractor/file-structure - actions/watch-file-structure:', function () {
  it('should start watching the file structure', function () {
    var fileStructure = new _FileStructure.FileStructure(_path.default.join(_path.default.sep, 'file-structure'));
    var sockets = {
      emit: function emit() {}
    };
    var watcher = new _events.EventEmitter();

    _testSetup.sinon.stub(fileStructure, 'watch').returns(watcher);

    _testSetup.sinon.stub(sockets, 'emit');

    _testSetup.sinon.spy(watcher, 'on');

    var timers = _testSetup.sinon.useFakeTimers();

    (0, _watchFileStructure.watchFileStructure)(fileStructure, sockets);
    watcher.emit('change');
    timers.tick(100);
    (0, _testSetup.expect)(fileStructure.watch).to.have.been.called();
    (0, _testSetup.expect)(watcher.on).to.have.been.calledWith('change');
    (0, _testSetup.expect)(sockets.emit).to.have.been.calledWith('file-structure-change');
    fileStructure.watch.restore();
    timers.restore();
  });
});