"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.serveFileStructure = serveFileStructure;

var _express = _interopRequireDefault(require("express"));

var _deleteItem = require("./actions/delete-item");

var _moveItem = require("./actions/move-item");

var _openItem = require("./actions/open-item");

var _refactorItem = require("./actions/refactor-item");

var _saveItem = require("./actions/save-item");

var _watchFileStructure = require("./actions/watch-file-structure");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Dependencies:
// Actions:
function serveFileStructure(application, sockets) {
  return function (fileStructure, prefix) {
    application.use("/".concat(prefix, "/fs/static/"), _express.default.static(fileStructure.path));
    application.delete("/".concat(prefix, "/fs*"), (0, _deleteItem.createDeleteItemHandler)(fileStructure));
    application.post("/".concat(prefix, "/fs/move*"), (0, _moveItem.createMoveItemHandler)(fileStructure));
    application.get("/".concat(prefix, "/fs*"), (0, _openItem.createOpenItemHandler)(fileStructure));
    application.post("/".concat(prefix, "/fs/refactor*"), (0, _refactorItem.createRefactorItemHandler)(fileStructure));
    application.put("/".concat(prefix, "/fs*"), (0, _saveItem.createSaveItemHandler)(fileStructure));
    (0, _watchFileStructure.watchFileStructure)(fileStructure, sockets.of("/".concat(prefix, "/watch-file-structure")));
  };
}

serveFileStructure['@Inject'] = ['application', 'sockets'];