"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.info = info;
exports.warn = warn;
exports.error = error;

var _npmlog = _interopRequireDefault(require("npmlog"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Constants:
var PREFIX = '';
var HEADING = '🚜  tractor';
var style = _npmlog.default.style;
_npmlog.default.heading = HEADING;
_npmlog.default.headingStyle = {
  fg: 'green',
  bg: 'black'
};

_npmlog.default.enableUnicode();

style.info = {
  fg: 'blue'
};

function info() {
  for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }

  _npmlog.default.info.apply(_npmlog.default, [PREFIX].concat(args));
}

style.warn = {
  fg: 'yellow'
};

function warn() {
  for (var _len2 = arguments.length, args = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
    args[_key2] = arguments[_key2];
  }

  _npmlog.default.warn.apply(_npmlog.default, [PREFIX].concat(args));
}

style.error = {
  fg: 'red'
};

function error() {
  for (var _len3 = arguments.length, args = new Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
    args[_key3] = arguments[_key3];
  }

  _npmlog.default.error.apply(_npmlog.default, [PREFIX].concat(args));
}