"use strict";

var _unitTest = require("@tractor/unit-test");

var _npmlog = _interopRequireDefault(require("npmlog"));

var _index = require("./index");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* global describe:true, it:true */
// Test setup:
// Dependencies:
// Under test:
describe('@tractor/logger:', function () {
  it('should have the correct heading', function () {
    (0, _unitTest.expect)(_npmlog.default.heading).to.equal('🚜  tractor');
  });
  describe('@tractor/logger: error:', function () {
    it('should pass through to npmlog', function () {
      _unitTest.sinon.stub(_npmlog.default, 'error');

      (0, _index.error)('error');
      (0, _unitTest.expect)(_npmlog.default.error).to.have.been.calledWith('', 'error');

      _npmlog.default.error.restore();
    });
  });
  describe('@tractor/logger: info:', function () {
    it('should pass through to npmlog', function () {
      _unitTest.sinon.stub(_npmlog.default, 'info');

      (0, _index.info)('info');
      (0, _unitTest.expect)(_npmlog.default.info).to.have.been.calledWith('', 'info');

      _npmlog.default.info.restore();
    });
  });
  describe('@tractor/logger: warn:', function () {
    it('should pass through to npmlog', function () {
      _unitTest.sinon.stub(_npmlog.default, 'warn');

      (0, _index.warn)('warn');
      (0, _unitTest.expect)(_npmlog.default.warn).to.have.been.calledWith('', 'warn');

      _npmlog.default.warn.restore();
    });
  });
});