"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "expect", {
  enumerable: true,
  get: function get() {
    return _chai.expect;
  }
});
Object.defineProperty(exports, "ineeda", {
  enumerable: true,
  get: function get() {
    return _ineeda.ineeda;
  }
});
Object.defineProperty(exports, "Promise", {
  enumerable: true,
  get: function get() {
    return _bluebird.default;
  }
});
Object.defineProperty(exports, "sinon", {
  enumerable: true,
  get: function get() {
    return _sinon2.default;
  }
});
exports.NOOP = void 0;

var _chai = _interopRequireWildcard(require("chai"));

var _dirtyChai = _interopRequireDefault(require("dirty-chai"));

var _ineeda = require("ineeda");

var _bluebird = _interopRequireDefault(require("bluebird"));

var _sinon2 = _interopRequireDefault(require("sinon"));

var _sinonChai = _interopRequireDefault(require("sinon-chai"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

var NOOP = function NOOP() {};

exports.NOOP = NOOP;
global.Promise = _bluebird.default; // Test setup:

_chai.default.use(_dirtyChai.default);

_chai.default.use(_sinonChai.default); // Prevent sinon from thinking ineeda mocks are already spies:


_ineeda.ineeda.intercept({
  restore: null,
  calledBefore: null
}); // Prevent Bluebird from thinking ineeda mocks are Promises


_ineeda.ineeda.intercept({
  then: null
}); // Intercept all values that are functions and turn it into a stub:


_ineeda.ineeda.intercept(function (value, key, values, target) {
  if (value instanceof Function) {
    target[key] = NOOP;
    return _sinon2.default.stub(target, key).callsFake(values[key]);
  }

  return value;
});